This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 802316

Summary: Mic not detected correctly by Pulseaudio on Acer Aspire One AO722
Product: [Fedora] Fedora Reporter: Sahil Ahuja <sahilahuja>
Component: pulseaudioAssignee: Lennart Poettering <lpoetter>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 21CC: brendan.jones.it, hafflys, jpazdziora, lkundrak, lpoetter, me, mefoster, nathanael, superquad.vortex2
Target Milestone: ---Keywords: Reopened
Target Release: ---Flags: jpazdziora: needinfo? (lpoetter)
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-01 21:37:03 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
alsamixer screenshot
none
Alsa Info for my hardware
none
FIXED!!!! none

Description Sahil Ahuja 2012-03-12 05:53:09 EDT
Created attachment 569335 [details]
alsamixer screenshot

Description of problem:
Mic doesn't working out-of-the-box in F16 on Acer Aspire One 722. alsamixer Screenshot attached.

Version-Release number of selected component (if applicable):
alsa-info: http://pastebin.com/mcpirwmG

How reproducible:
Always (on my system)

Steps to Reproduce:
Install Fedora 16 on Acer Aspire One 722 (AO722). Open Pulseaudio volume control. Go to Input Devices tab.

Actual results:
The "Intenal Audio Analog Stereo" meter keeps moving (flickering) between ~3% and ~6% and doesn't respond to the whatever is said into the laptop's integrated mic.

Expected results:
The meter should respond to whatever is said into the laptop's integrated mic.

Additional information:
Audacity is able to record when "Interal Mic" is toggled on instead of "Mic" (screenshot).
The "Intenal Audio Analog Stereo" meter keeps moving (flickering) between ~3% and ~6% and doesn't respond to the whatever is said into the mic. It's state (mute/unmute) is the same as "Mic"'s toggle switch. It looks like it is taking its input from "Mic" instead of "Internal Mic". 
http://forums.fedoraforum.org/showthread.php?t=277474
Comment 1 Sahil Ahuja 2012-03-12 10:20:47 EDT
I am able to use the mic through Google Chat in firefox by selecting "Internal Audio" after doing the following:

1) Add "load-module module-alsa-source device=hw:1,0,0" to /etc/pulse/default.pa before the line ".ifexists module-udev-detect.so"
2) Restart system.
3) Open alsamixer, make sure Internal Mic and Capture are toggled on and that both Mic Boost and Capture have high volumes.

When I use the mic like this, there is some noise heard from the speakers. Also the "Capture" item has to toggled on manually sometimes.

However, the mic should be automatically correctly detected through pulseaudio modprobe module. The mic works correctly in Linux Mint 12 by lowering the volume right channel of mic to 0. This solution isn't working in Fedora.
Comment 2 Stephen Haffly 2012-03-12 17:23:13 EDT
This method also worked for me. There is a little bit of crackling noise that I hear, but it is really minor and insignificant compared to it not working at all.
Comment 3 Mary Ellen Foster 2012-04-19 08:33:33 EDT
I have exactly the same hardware, and exactly the same problem. I've applied the workaround and will post back if it doesn't work for me.
Comment 4 Alexei Panov 2012-11-15 15:59:29 EST
I can confirm this bug in Fedora 17 and 18.
With alsa microphone on Acer Aspire One works fine. But gnome 3 doesn't work with alsa.
I can provide more information if it needed.
This bug is very annoying for me.
Comment 5 Fedora End Of Life 2013-01-16 10:02:18 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Alexei Panov 2013-02-27 15:56:50 EST
This bug was fixed in pulseaudio upstream.
I've tested version 3.0 from this repo http://repos.fedorapeople.org/repos/rdieter/pulseaudio-backport/
Many thanks to Rex Dieter for repository.
Comment 7 Nathanael Noblet 2013-08-28 15:31:58 EDT
I'm still seeing this in F19 with pulseaudio 3.0 and the workaround specified above does not fix it.
Comment 8 Jan Pazdziora 2013-08-30 02:49:41 EDT
(In reply to Nathanael Noblet from comment #7)
> I'm still seeing this in F19 with pulseaudio 3.0 and the workaround
> specified above does not fix it.

Does the workaround at

http://ubuntuforums.org/showthread.php?t=1811178&page=23&p=12521216#post12521216

for for you? Namely, changing the Capture to Mic and then back to Internal Mic.

Incidently, I've also filed bug 1002826 because even if the workaround works to get the Internal Mic set as capture device, the Mic Boost keeps getting reset for me.
Comment 9 Nathanael Noblet 2013-08-30 11:35:00 EDT
I never had an issue like that - for me the issue is strictly that the mic boost level isn't being used by pulse when setting the mic volume. Granted I had set via alsamixer the capture to internal mic right at the beginning because I was trying to get it working and didn't know about the Mic Boost issue at the time... however I haven't had to do any switching of anything in alsamixer since. I only have to increase the 'mic boost' channel volume and it works for me.
Comment 10 Nathanael Noblet 2013-09-11 18:28:16 EDT
Created attachment 796559 [details]
Alsa Info for my hardware
Comment 11 Nathanael Noblet 2013-09-11 18:32:16 EDT
Created attachment 796560 [details]
FIXED!!!!

Applying this patch to /usr/share/pulseaudio/alsa-mixer/paths/ fixes the underlying issue.

I was speaking with diwic in #pulseaudio. Apparently pulse assumes that internal microphones never need to use a mic boost. So this ignores the mic boost channel. With this patch, pulse uses the mic boost channel properly and even seems to restore it to a good volume on reboots. I've emailed diwic with the results and he mentioned he'd try to get it fixed in the kernel (not sure what that has to do with it as he got off IRC pretty quickly after the suggestion and request of an email)... However this patch makes the hardware work nicely here.
Comment 12 Raymond 2013-09-11 19:39:35 EDT
  24.548554] hda_codec: CX20588: BIOS auto-probing.
[   24.549081] ALSA sound/pci/hda/hda_auto_parser.c:393 autoconfig: line_outs=1 (0x1f/0x0/0x0/0x0/0x0) type:speaker
[   24.549095] ALSA sound/pci/hda/hda_auto_parser.c:397    speaker_outs=0 (0x0/0x0/0x0/0x0/0x0)
[   24.549103] ALSA sound/pci/hda/hda_auto_parser.c:401    hp_outs=1 (0x19/0x0/0x0/0x0/0x0)
[   24.549109] ALSA sound/pci/hda/hda_auto_parser.c:402    mono: mono_out=0x0
[   24.549114] ALSA sound/pci/hda/hda_auto_parser.c:406    inputs:
[   24.549122] ALSA sound/pci/hda/hda_auto_parser.c:410      Mic=0x1b
[   24.549128] ALSA sound/pci/hda/hda_auto_parser.c:410      Internal Mic=0x1e
[   24.549135] ALSA sound/pci/hda/hda_auto_parser.c:410      Mic=0x1a


auto Mic detection is automatically disabled by the driver when you are not dock Mic, Mic and int mic

do this computer really have two extra Mics and one into Mic ?



ARECORD

**** List of CAPTURE Hardware Devices ****
card 1: SB [HDA ATI SB], device 0: CX20588 Analog [CX20588 Analog]
  Subdevices: 1/1
  Subdevice #0: subdevice #0
card 1: SB [HDA ATI SB], device 2: CX20588 Alt Analog [CX20588 Alt Analog]
  Subdevices: 2/2
  Subdevice #0: subdevice #0
  Subdevice #1: subdevice #1




Simple mixer control 'Input Source',0
  Capabilities: cenum
  Items: 'Mic' 'Internal Mic' 'Mic 1'
  Item0: 'Internal Mic'
Simple mixer control 'Input Source',1
  Capabilities: cenum
  Items: 'Mic' 'Internal Mic' 'Mic 1'
  Item0: 'Internal Mic'
Simple mixer control 'Input Source',2
  Capabilities: cenum
  Items: 'Mic' 'Internal Mic' 'Mic 1'
  Item0: 'Internal Mic'
Comment 13 Jan Pazdziora 2013-12-01 20:16:20 EST
(In reply to Nathanael Noblet from comment #11)
> Created attachment 796560 [details]
> FIXED!!!!
> 
> Applying this patch to /usr/share/pulseaudio/alsa-mixer/paths/ fixes the
> underlying issue.
> 
> I was speaking with diwic in #pulseaudio. Apparently pulse assumes that
> internal microphones never need to use a mic boost. So this ignores the mic
> boost channel. With this patch, pulse uses the mic boost channel properly
> and even seems to restore it to a good volume on reboots. I've emailed diwic
> with the results and he mentioned he'd try to get it fixed in the kernel
> (not sure what that has to do with it as he got off IRC pretty quickly after
> the suggestion and request of an email)... However this patch makes the
> hardware work nicely here.

Nathanael,

since we are talking about internal microphone and that file analog-input-internal-mic.conf also has sections

  [Element Internal Mic Boost]

and

  [Element Int Mic Boost]

I wonder what their role is and if they shouldn't be more suitable for handling the mic boost of the internal microphone.

Lennart,

what is your opinion about the patch from comment 11? Can we see it included and fixed package released?
Comment 14 Fedora End Of Life 2015-01-09 12:03:59 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-17 09:10:17 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Stephen Haffly 2015-02-17 11:32:12 EST
Please reopen. This problem persists, even with Fedora 21.

The issue remains the mic boost. If I go in and use the Alsa mixer to set the mic boost, I can get it to work. However, the settings don't stick. I haved to repeat this process every time I want to use the microphone.

Pulse should be able to remember the settings once they are set!
Comment 17 Jan Pazdziora 2015-02-18 04:04:34 EST
Reopening per comment 16.
Comment 18 Jan Pazdziora 2015-02-18 04:05:18 EST
Adding back needinfo for comment 13.
Comment 19 Fedora End Of Life 2015-11-04 08:33:19 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 20 Fedora End Of Life 2015-12-01 21:37:07 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.